Package ghidra.base.widgets.table

# Class DataTypeTableCellEditor

java.lang.Object
javax.swing.AbstractCellEditor
ghidra.base.widgets.table.DataTypeTableCellEditor

All Implemented Interfaces:
  `FocusableEditor`, `Serializable`, `CellEditor`, `TableCellEditor`

public class DataTypeTableCellEditor extends AbstractCellEditor implements TableCellEditor, FocusableEditor

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractCellEditor

  `changeEvent, listenerList`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `DataTypeTableCellEditor(DataTypeManagerService service)`
  ``
  `DataTypeTableCellEditor(PluginTool tool)`
  `protected`
  `DataTypeTableCellEditor(PluginTool tool, DataTypeManagerService service)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `focusEditor()`
  Called with the editor should take focus.
  `protected DataTypeParser.AllowedDataTypes`
  `getAllowed(int row, int column)`
  `DataType`
  `getCellEditorValue()`
  `protected DataTypeManager`
  `getPreferredDataTypeManager(int row, int column)`
  `Component`
  `getTableCellEditorComponent(JTable newTable, Object value, boolean isSelected, int row, int column)`
  `protected void`
  `init(int row, int column)`
  `boolean`
  `isCellEditable(EventObject e)`
  `protected DataType`
  `resolveSelection(DataType dataType)`
  `boolean`
  `stopCellEditing()`
  `protected void`
  `stopEdit()`
  `protected boolean`
  `validateSelection(DataType dataType)`

  ### Methods inherited from class javax.swing.AbstractCellEditor

  `addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener, shouldSelectCell`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.swing.CellEditor

  `addCellEditorListener, cancelCellEditing, removeCellEditorListener, shouldSelectCell`

- ## Constructor Details

  - ### DataTypeTableCellEditor

    protected DataTypeTableCellEditor(PluginTool tool, DataTypeManagerService service)

  - ### DataTypeTableCellEditor

    public DataTypeTableCellEditor(DataTypeManagerService service)

  - ### DataTypeTableCellEditor

    public DataTypeTableCellEditor(PluginTool tool)

- ## Method Details

  - ### getAllowed

    protected DataTypeParser.AllowedDataTypes getAllowed(int row, int column)

  - ### getPreferredDataTypeManager

    protected DataTypeManager getPreferredDataTypeManager(int row, int column)

  - ### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable newTable, Object value, boolean isSelected, int row, int column)
    Specified by:
      `getTableCellEditorComponent` in interface `TableCellEditor`

  - ### focusEditor

    public void focusEditor()
    Description copied from interface: `FocusableEditor`
    Called with the editor should take focus.
    Specified by:
      `focusEditor` in interface `FocusableEditor`

  - ### init

    protected void init(int row, int column)

  - ### stopEdit

    protected void stopEdit()

  - ### getCellEditorValue

    public DataType getCellEditorValue()
    Specified by:
      `getCellEditorValue` in interface `CellEditor`

  - ### validateSelection

    protected boolean validateSelection(DataType dataType)

  - ### resolveSelection

    protected DataType resolveSelection(DataType dataType)

  - ### stopCellEditing

    public boolean stopCellEditing()
    Specified by:
      `stopCellEditing` in interface `CellEditor`
    Overrides:
      `stopCellEditing` in class `AbstractCellEditor`

  - ### isCellEditable

    public boolean isCellEditable(EventObject e)
    Specified by:
      `isCellEditable` in interface `CellEditor`
    Overrides:
      `isCellEditable` in class `AbstractCellEditor`